Bug 723251 - RFE: put $DESTDIR/work/$ARCH/yumroot on $TMPDIR/pungi-$PID
Summary: RFE: put $DESTDIR/work/$ARCH/yumroot on $TMPDIR/pungi-$PID
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pungi
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-19 14:21 UTC by John Reiser
Modified: 2013-01-10 06:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-08 17:53:58 UTC
Type: ---


Attachments (Terms of Use)

Description John Reiser 2011-07-19 14:21:18 UTC
Description of problem: Request For Enhancement: Please use the pungi temporary directory $TMPDIR/pungi-$PID (or other place below $TMPDIR) as the place to put the lorax 'yumroot' temporary directory, instead of using $DESTDIR/work/$ARCH.  I put TMPDIR=/dev/shm to use RAM, which can save a minute or more in contrast to building the install root on a SATA-2 harddrive.

Version-Release number of selected component (if applicable):
lorax-0.8-1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Martin Gracik 2011-07-20 07:03:58 UTC
The 'yumroot' directory is created and the yum base object which uses it set up by pungi. Lorax does not create that directory, just installs packages with yum which end up in it.

Comment 2 Jesse Keating 2011-08-08 17:53:58 UTC
I prefer to have all the output of pungi go into the workdir and not make use of dirs outside of that.


Note You need to log in before you can comment on or make changes to this bug.